Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.tags.core
Class FileTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.tags.core.FileTag

All Implemented Interfaces:
  Tag

    public class FileTag

extends TagSupport

A tag that pipes its body to a file denoted by the name attribute or to an in memory String which is then output to a variable denoted by the var variable.

Author:
  Vinay Chandran

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`FileTag()`

Method Summary
`protected XMLOutput` | `createXMLOutput(java.io.Writer writer)` A Factory method to create a new XMLOutput from the given Writer.
`void` | `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.String` | `getVar()` Returns the var.
`void` | `setAppend(boolean doAppend)` Sets wether to append at the end of the file (not really something you normally do with an XML file).
`void` | `setEncoding(java.lang.String encoding)` Sets the XML encoding mode, which defaults to UTF-8
`void` | `setName(java.lang.String name)` Sets the file name for the output
`void` | `setOmitXmlDeclaration(boolean omitXmlDeclaration)` Sets whether the XML declaration should be output or not
`void` | `setOutputMode(java.lang.String outputMode)` Sets the output mode, whether XML or HTML
`void` | `setPrettyPrint(boolean prettyPrint)` Sets whether pretty printing mode is turned on.
`void` | `setVar(java.lang.String var)` Sets the var.
`protected void` | `writeBody(java.io.Writer writer)` Writes the body fo this tag to the given Writer

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileTag

    public FileTag()

Method Detail

### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

  Description copied from interface: `Tag`
  Evaluates this tag after all the tags properties have been initialized.

  Throws:
    `JellyTagException`

### setName

    public void setName(java.lang.String name)

  Sets the file name for the output

### setOmitXmlDeclaration

    public void setOmitXmlDeclaration(boolean omitXmlDeclaration)

  Sets whether the XML declaration should be output or not

### setOutputMode

    public void setOutputMode(java.lang.String outputMode)

  Sets the output mode, whether XML or HTML

### setPrettyPrint

    public void setPrettyPrint(boolean prettyPrint)

  Sets whether pretty printing mode is turned on. The default is off so that whitespace is preserved

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Sets the XML encoding mode, which defaults to UTF-8

### setAppend

    public void setAppend(boolean doAppend)

  Sets wether to append at the end of the file (not really something you normally do with an XML file).

### getVar

    public java.lang.String getVar()

  Returns the var.

  Returns:
    String

### setVar

    public void setVar(java.lang.String var)

  Sets the var.

  Parameters:
    `var` - The var to set

### writeBody

    protected void writeBody(java.io.Writer writer)
                      throws org.xml.sax.SAXException,
                             JellyTagException

  Writes the body fo this tag to the given Writer

  Throws:
    `org.xml.sax.SAXException`
    `JellyTagException`

### createXMLOutput

    protected XMLOutput createXMLOutput(java.io.Writer writer)

  A Factory method to create a new XMLOutput from the given Writer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.